com.genesyslab.wfm7.API.service.config761

## Class CfgAgentShort

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config761.CfgAgentShort

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgAgentShort
      extends java.lang.Object
      implements java.io.Serializable

  "Short" Agent information.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `gswAgentId` Agent ID
    `private java.lang.String` | `gswEmail` Agent's E-mail address
    `private java.lang.String` | `gswEmployeeId` Employee ID
    `private java.lang.String` | `gswFirstName` First Name
    `private java.lang.String` | `gswLastName` Last Name
    `private int` | `wmContractId` Agent's Contract ID--identifies `CfgContract`
    `private double` | `wmEndDate` Termination Date (`OleDateTime`); can be NULL if Agent has not been terminated
    `private int` | `wmSeniority` Seniority or Rank
    `private int` | `wmSiteId` Agent's Site ID--identifies `CfgSite`; zero if Agent is "unassigned"
    `private double` | `wmStartDate` Hire Date (`OleDateTime`)
    `private int` | `wmTeamId` Agent's Team ID--identifies `CfgTeam`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgAgentShort()`
    `CfgAgentShort(int gswAgentId, int wmSiteId, int wmTeamId, int wmContractId, java.lang.String gswEmployeeId, java.lang.String gswFirstName, java.lang.String gswLastName, double wmStartDate, double wmEndDate, int wmSeniority)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getGswAgentId()` Gets the gswAgentId value for this CfgAgentShort.
    `java.lang.String` | `getGswEmail()` Gets the gswEmail value for this CfgAgent.
    `java.lang.String` | `getGswEmployeeId()` Gets the gswEmployeeId value for this CfgAgentShort.
    `java.lang.String` | `getGswFirstName()` Gets the gswFirstName value for this CfgAgentShort.
    `java.lang.String` | `getGswLastName()` Gets the gswLastName value for this CfgAgentShort.
    `int` | `getWmContractId()` Gets the wmContractId value for this CfgAgentShort.
    `double` | `getWmEndDate()` Gets the wmEndDate value for this CfgAgentShort.
    `int` | `getWmSeniority()` Gets the wmSeniority value for this CfgAgentShort.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this CfgAgentShort.
    `double` | `getWmStartDate()` Gets the wmStartDate value for this CfgAgentShort.
    `int` | `getWmTeamId()` Gets the wmTeamId value for this CfgAgentShort.
    `void` | `setGswAgentId(int gswAgentId)` Sets the gswAgentId value for this CfgAgentShort.
    `void` | `setGswEmail(java.lang.String gswEmail)` Sets the gswEmail value for this CfgAgent.
    `void` | `setGswEmployeeId(java.lang.String gswEmployeeId)` Sets the gswEmployeeId value for this CfgAgentShort.
    `void` | `setGswFirstName(java.lang.String gswFirstName)` Sets the gswFirstName value for this CfgAgentShort.
    `void` | `setGswLastName(java.lang.String gswLastName)` Sets the gswLastName value for this CfgAgentShort.
    `void` | `setWmContractId(int wmContractId)` Sets the wmContractId value for this CfgAgentShort.
    `void` | `setWmEndDate(double wmEndDate)` Sets the wmEndDate value for this CfgAgentShort.
    `void` | `setWmSeniority(int wmSeniority)` Sets the wmSeniority value for this CfgAgentShort.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this CfgAgentShort.
    `void` | `setWmStartDate(double wmStartDate)` Sets the wmStartDate value for this CfgAgentShort.
    `void` | `setWmTeamId(int wmTeamId)` Sets the wmTeamId value for this CfgAgentShort.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### gswAgentId

          private int gswAgentId

      Agent ID

    - #### wmSiteId

          private int wmSiteId

      Agent's Site ID--identifies `CfgSite`; zero if Agent is "unassigned"

    - #### wmTeamId

          private int wmTeamId

      Agent's Team ID--identifies `CfgTeam`

    - #### wmContractId

          private int wmContractId

      Agent's Contract ID--identifies `CfgContract`

    - #### gswEmployeeId

          private java.lang.String gswEmployeeId

      Employee ID

    - #### gswFirstName

          private java.lang.String gswFirstName

      First Name

    - #### gswLastName

          private java.lang.String gswLastName

      Last Name

    - #### wmStartDate

          private double wmStartDate

      Hire Date (`OleDateTime`)

    - #### wmEndDate

          private double wmEndDate

      Termination Date (`OleDateTime`); can be NULL if Agent has not been terminated

    - #### wmSeniority

          private int wmSeniority

      Seniority or Rank

    - #### gswEmail

          private java.lang.String gswEmail

      Agent's E-mail address

  - ### Constructor Detail

    - #### CfgAgentShort

          public CfgAgentShort()

    - #### CfgAgentShort

          public CfgAgentShort(int gswAgentId,
                       int wmSiteId,
                       int wmTeamId,
                       int wmContractId,
                       java.lang.String gswEmployeeId,
                       java.lang.String gswFirstName,
                       java.lang.String gswLastName,
                       double wmStartDate,
                       double wmEndDate,
                       int wmSeniority)

  - ### Method Detail

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the gswAgentId value for this CfgAgentShort.
      Returns:
        gswAgentId

    - #### setGswAgentId

          public void setGswAgentId(int gswAgentId)

      Sets the gswAgentId value for this CfgAgentShort.
      Parameters:
        `gswAgentId` -

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this CfgAgentShort.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this CfgAgentShort.
      Parameters:
        `wmSiteId` -

    - #### getWmTeamId

          public int getWmTeamId()

      Gets the wmTeamId value for this CfgAgentShort.
      Returns:
        wmTeamId

    - #### setWmTeamId

          public void setWmTeamId(int wmTeamId)

      Sets the wmTeamId value for this CfgAgentShort.
      Parameters:
        `wmTeamId` -

    - #### getWmContractId

          public int getWmContractId()

      Gets the wmContractId value for this CfgAgentShort.
      Returns:
        wmContractId

    - #### setWmContractId

          public void setWmContractId(int wmContractId)

      Sets the wmContractId value for this CfgAgentShort.
      Parameters:
        `wmContractId` -

    - #### getGswEmployeeId

          public java.lang.String getGswEmployeeId()

      Gets the gswEmployeeId value for this CfgAgentShort.
      Returns:
        gswEmployeeId

    - #### setGswEmployeeId

          public void setGswEmployeeId(java.lang.String gswEmployeeId)

      Sets the gswEmployeeId value for this CfgAgentShort.
      Parameters:
        `gswEmployeeId` -

    - #### getGswFirstName

          public java.lang.String getGswFirstName()

      Gets the gswFirstName value for this CfgAgentShort.
      Returns:
        gswFirstName

    - #### setGswFirstName

          public void setGswFirstName(java.lang.String gswFirstName)

      Sets the gswFirstName value for this CfgAgentShort.
      Parameters:
        `gswFirstName` -

    - #### getGswLastName

          public java.lang.String getGswLastName()

      Gets the gswLastName value for this CfgAgentShort.
      Returns:
        gswLastName

    - #### setGswLastName

          public void setGswLastName(java.lang.String gswLastName)

      Sets the gswLastName value for this CfgAgentShort.
      Parameters:
        `gswLastName` -

    - #### getWmStartDate

          public double getWmStartDate()

      Gets the wmStartDate value for this CfgAgentShort.
      Returns:
        wmStartDate

    - #### setWmStartDate

          public void setWmStartDate(double wmStartDate)

      Sets the wmStartDate value for this CfgAgentShort.
      Parameters:
        `wmStartDate` -

    - #### getWmEndDate

          public double getWmEndDate()

      Gets the wmEndDate value for this CfgAgentShort.
      Returns:
        wmEndDate

    - #### setWmEndDate

          public void setWmEndDate(double wmEndDate)

      Sets the wmEndDate value for this CfgAgentShort.
      Parameters:
        `wmEndDate` -

    - #### getWmSeniority

          public int getWmSeniority()

      Gets the wmSeniority value for this CfgAgentShort.
      Returns:
        wmSeniority

    - #### setWmSeniority

          public void setWmSeniority(int wmSeniority)

      Sets the wmSeniority value for this CfgAgentShort.
      Parameters:
        `wmSeniority` -

    - #### getGswEmail

          public java.lang.String getGswEmail()

      Gets the gswEmail value for this CfgAgent.
      Returns:
        gswEmail

    - #### setGswEmail

          public void setGswEmail(java.lang.String gswEmail)

      Sets the gswEmail value for this CfgAgent.
      Parameters:
        `gswEmail` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.